h32568
s 00035/00000/00000
d D 1.1 82/08/03 08:49:16 cecily 1 0
e
u
U
t
T
I 1
stat	title	unix c svc library -- stat

.stat	equ	18

	entry	stat
r0	equ	0
rf	equ	15
sp	equ	7
*
	impur
statsvc	equ	*
	svc	0,.stat
name	dc	a(*-*)
buf	dc	a(*-*)
*
	pure
stat	equ	*
	l	r0,0(sp)	name
	st	r0,name
	l	r0,adc(sp)	buf
	st	r0,buf
	svc	0,0
	dc	a(statsvc)
	bc	error
	lis	r0,0		normal return
	br	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
